Tool
support_rule_get
Get one delivery rule by id, with its whole configuration.
Get one delivery rule by id, with its whole configuration. A rule belonging to another product is reported as not found
Behavior
- HTTP
GET /support/rules/:id
Arguments
| Name | Type | Required | Description |
|---|---|---|---|
| id | string | • | Rule id |
Response
| Field | Type | Always | Description |
|---|---|---|---|
| id | string | • | Rule id |
| device | string | • | Which devices the rule applies to. any is the rule that does not care and is the default |
| enabled | boolean | • | Whether the rule is live |
| trigger | object | • | |
| surveyId | string | • | The survey this rule delivers |
| urlMatch | object | • | Which pages match |
| createdAt | string | • | ISO-8601 creation timestamp |
| frequency | object | • | |
| updatedAt | string | • | ISO-8601 last-modification timestamp |
| attributeConditions | array | • | Conditions on the visitor’s attributes, ALL of which must hold |
Try it
Get one delivery rule by id, with its whole configuration.